Bug 694705 - [kn_IN] 0C85 (ಅ) Glyph is wrong
Summary: [kn_IN] 0C85 (ಅ) Glyph is wrong
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-kannada-fonts
Version: 15
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-08 04:48 UTC by Aravinda
Modified: 2011-05-10 03:28 UTC (History)
5 users (show)

Fixed In Version: lohit-kannada-fonts-2.4.5-8.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-10 03:28:12 UTC
Type: ---


Attachments (Terms of Use)
0c85 glyph in Lohit, Mallige and Tunga (6.03 KB, image/png)
2011-04-08 04:48 UTC, Aravinda
no flags Details
Modified svg (3.48 KB, patch)
2011-04-27 19:27 UTC, Aravinda
no flags Details | Diff

Description Aravinda 2011-04-08 04:48:14 UTC
Created attachment 490691 [details]
0c85 glyph in Lohit, Mallige and Tunga

Description of problem:
In Lohit Kannada Glyph is wrong. Refer the Unicode chart for reference. 
http://www.unicode.org/charts/PDF/U0C80.pdf 

Attachment shows Glyph in other Kannada fonts. 

Version-Release number of selected component (if applicable): N/A


How reproducible:
<span style="font-family:Lohit Kannada">&#xc80;</span> in html page

 
Actual results:
Refer attachment. 

Expected results:
Refer other fonts image in attachment

Additional info:
http://www.unicode.org/charts/PDF/U0C80.pdf 

Thanks and Regards
Aravinda
http://aravindavk.in

Comment 1 A S Alam 2011-04-08 05:18:01 UTC
Fedora 15 package:
 lohit-kannada-fonts-2.4.5-6.fc15.noarch

Comment 2 Shankar Prasad 2011-04-08 05:47:33 UTC
The shape of 0C85 mentioned in Unicode chart and the one from Tunga looks perfect. You can use these as reference to fix the same in lohit-kannada.

Comment 3 Aravinda 2011-04-27 19:27:01 UTC
Created attachment 495317 [details]
Modified svg

Modified svg, which can be imported into Lohit kannada font to replace existing 0c85 glyph. 

Note:
SVG is generated by exporting the same from Lohit kannada font using Fontforge. 
SVG is modified to fix the issue using Inkscape. 
SVG can be directly imported into Lohit Kannada(For \u0c85 character) 

Changes imported into Fontforge and tested by creating new font locally. Changes are working fine.

Comment 4 Pravin Satpute 2011-04-28 04:30:49 UTC
Thanks Aravinda for SVG file.
I will fix this.

Comment 5 Fedora Update System 2011-04-28 09:08:01 UTC
lohit-kannada-fonts-2.4.5-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lohit-kannada-fonts-2.4.5-8.fc15

Comment 6 Pravin Satpute 2011-04-28 09:15:35 UTC
Arvinda,

i changed shape little bit than your suggestions, i tried to follow shape as defined in Unicode Chart.

Comment 7 Aravinda 2011-04-28 09:28:57 UTC
Thanks Pravin, 

I checked the changes here https://admin.fedoraproject.org/updates/lohit-kannada-fonts-2.4.5-8.fc15

Looks fine. Thanks. 

-Regards
Aravinda

Comment 8 Fedora Update System 2011-04-28 19:02:24 UTC
Package lohit-kannada-fonts-2.4.5-8.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lohit-kannada-fonts-2.4.5-8.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/lohit-kannada-fonts-2.4.5-8.fc15
then log in and leave karma (feedback).

Comment 9 Pravin Satpute 2011-04-29 05:08:36 UTC
Hi Shankar & Aravinda

It will be very helpful if you can give karma on https://admin.fedoraproject.org/updates/lohit-kannada-fonts-2.4.5-8.fc15

Comment 10 Shankar Prasad 2011-04-29 06:10:20 UTC
Pravin,

Tested the updated font file and the shape looks fine for me.

Commented the same on https://admin.fedoraproject.org/updates/lohit-kannada-fonts-2.4.5-8.fc15 page.

Shanky

Comment 11 Aravinda 2011-04-29 06:13:38 UTC
I downloaded rpm file and tested the changes by extracting the font file from rpm in my machine. Changes are fine. 

-Aravinda

Comment 12 Fedora Update System 2011-05-10 03:28:06 UTC
lohit-kannada-fonts-2.4.5-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.